## postgresql-17 17.0

=== debian/changelog ===
postgresql-17 (17.0-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Enabling cassert.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 24 Sep 2024 15:26:00 +0200

postgresql-17 (17.0-1) unstable; urgency=medium

  * First official version.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Sep 2024 15:26:00 +0200

postgresql-17 (17~rc1-1) unstable; urgency=medium

  * First RC version.

 -- Christoph Berg <myon@debian.org>  Tue, 03 Sep 2024 11:58:30 +0200

postgresql-17 (17~beta3-1) experimental; urgency=medium

  * Third beta version.

 -- Christoph Berg <myon@debian.org>  Wed, 07 Aug 2024 16:16:02 +0200

postgresql-17 (17~beta2-1) experimental; urgency=medium

  * Restrict systemtap-sdt-dev B-D to linux-any.
  * Add libpq5 symbol PQgetCurrentTimeUSec.

 -- Christoph Berg <myon@debian.org>  Tue, 25 Jun 2024 14:03:14 +0200

postgresql-17 (17~beta1-1) experimental; urgency=medium

  * First beta version.

 -- Christoph Berg <myon@debian.org>  Wed, 22 May 2024 18:54:56 +0200

postgresql-17 (17~~devel20240509-1) experimental; urgency=medium

  * New major upstream version 17; packaging based on postgresql-16.

 -- Christoph Berg <myon@debian.org>  Thu, 09 May 2024 18:45:32 +0200
