=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
  gettext,
  libicu-dev,
  libio-pty-perl <!nocheck>,
- libipc-run-perl <!nocheck>,
  libkrb5-dev,
  libldap2-dev,
  liblz4-dev,
