## postgresql-17 17.4

=== debian/changelog ===
postgresql-17 (17.4-1.pgdg22.04+~20250309.1734.g43847dd) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Merge Debian packaging repository (17) with upstream (REL_17_STABLE).
    + Use clang/llvm 15 for jit support.
    + Remove tzdata-legacy from build and test dependencies.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Feb 2025 12:22:31 +0100

postgresql-17 (17.4-1) unstable; urgency=medium

  * New upstream version 17.4.

    + Improve behavior of libpq's quoting functions (Andres Freund, Tom Lane)

      The changes made for CVE-2025-1094 had one serious oversight:
      PQescapeLiteral() and PQescapeIdentifier() failed to honor their string
      length parameter, instead always reading to the input string's trailing
      null.  This resulted in including unwanted text in the output, if the
      caller intended to truncate the string via the length parameter.  With
      very bad luck it could cause a crash due to reading off the end of
      memory.

      In addition, modify all these quoting functions so that when invalid
      encoding is detected, an invalid sequence is substituted for just the
      first byte of the presumed character, not all of it.  This reduces the
      risk of problems if a calling application performs additional processing
      on the quoted string.

  * Build-depend on openssl. (Closes: #1096243)
  * Added po-debconf Catalan translation by Carles Pina i Estany, thanks!

 -- Christoph Berg <myon@debian.org>  Thu, 20 Feb 2025 12:22:31 +0100
