=== debian/tests/control ===
Tests: run-testsuite
Depends:
 build-essential,
 debhelper,
 fakeroot,
 hunspell-en-us,
 iproute2,
 locales-all,
 logrotate,
 netcat-openbsd,
 perl,
 procps,
 libecpg-dev,
 postgresql-17,
 postgresql-client-17,
 postgresql-server-dev-17,
 postgresql-doc-17,
 postgresql-plperl-17,
 postgresql-plpython3-17,
 postgresql-pltcl-17,
Restrictions: needs-root

Tests: installcheck
Depends:
 build-essential,
 tzdata,
 postgresql-17,
 postgresql-client-17,
 postgresql-server-dev-17,
Restrictions: allow-stderr
