=== debian/changelog ===
postgresql-17 (17.5-1.pgdg22.04+~20250513.1135.gc563919) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Merge Debian packaging repository (17) with upstream (REL_17_STABLE).
    + Use clang/llvm 15 for jit support.
    + Remove tzdata-legacy from build and test dependencies.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 06 May 2025 17:55:19 +0200

postgresql-17 (17.5-1) unstable; urgency=medium

  * New upstream version 17.5.

    + Avoid one-byte buffer overread when examining invalidly-encoded strings
      that are claimed to be in GB18030 encoding (Noah Misch, Andres Freund)

      While unlikely, a SIGSEGV crash could occur if an incomplete multibyte
      character appeared at the end of memory.  This was possible both in the
      server and in libpq-using applications. (CVE-2025-4207)

 -- Christoph Berg <myon@debian.org>  Tue, 06 May 2025 17:55:19 +0200

postgresql-17 (17.4-2) unstable; urgency=medium

  * libpq5: Recommend ca-certificates to support SSL certificate validation
    using the sslrootcert=system connection option.
  * Revert "Test-depend only on our server packages".

 -- Christoph Berg <myon@debian.org>  Mon, 07 Apr 2025 11:59:17 +0200
